Bug 738633 - yum can't send message to PackageKit
Summary: yum can't send message to PackageKit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 12:38 UTC by Horst H. von Brand
Modified: 2011-09-30 09:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-16 09:23:55 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2011-09-15 12:38:24 UTC
Description of problem:
After yum update, I get messages

Unable to send message to PackageKit

Version-Release number of selected component (if applicable):
PackageKit-0.6.17-2.fc17.x86_64
yum-3.4.3-9.fc17.noarch


How reproducible:
Seems to happen each time there are updates

Steps to Reproduce:
1. yum -y update --skip-broken
2.
3.
  
Actual results:
Error mesages

Expected results:
Slence

Additional info:

Comment 1 Richard Hughes 2011-09-15 12:57:33 UTC
What does "sudo /usr/libexec/packagekitd -v" print?

Comment 2 Horst H. von Brand 2011-09-15 21:23:13 UTC
On another x86_64 machine showing the same symthoms:

# /usr/libexec/packagekitd -v
18:22:07        PackageKit          Verbose debugging enabled (on console 1)
/usr/libexec/packagekitd: symbol lookup error: /usr/libexec/packagekitd: undefined symbol: g_unix_signal_add_watch_full

Comment 3 Richard Hughes 2011-09-16 09:23:55 UTC
You need PackageKit-0.6.18-2 to cope with the recent GLib API change.

Comment 4 Paul Bolle 2011-09-30 09:10:09 UTC
(In reply to comment #3)
> You need PackageKit-0.6.18-2 to cope with the recent GLib API change.

Rawhide is currently still at version 0.6.17-2. Is something preventing a bump to version 0.6.18-2 (or later)?

Comment 5 Richard Hughes 2011-09-30 09:24:28 UTC
(In reply to comment #4)
> Rawhide is currently still at version 0.6.17-2. Is something preventing a bump
> to version 0.6.18-2 (or later)?

Yup, everyone's working flat out to get F16 out of the door.


Note You need to log in before you can comment on or make changes to this bug.